Intel® FPGA Software Installation & Licensing
Installation and Licensing that’s includes Intel Quartus® Prime software, ModelSim* - Intel FPGA Edition software, Nios® II Embedded Design Suite on Windows or Linux operating systems.
1153 Discussions

(vlog-2163) Macro `<protected> is undefined.

Nag_t
Beginner
984 Views

Hi All,

 

I have observed error while compiling Quaruts prime pro v22.4 libraries against Questasim 2021.4.

(vlog-2163) Macro `<protected> is undefined.

vlog-13205) Syntax error found in the scope following '<protected>'. Is there a missing '::'?

As per the document , Quartus prime pro 22.4 will be supported to Questasim 2021.4 . 

Here is the document : https://www.intel.com/content/www/us/en/docs/programmable/683706/22-4/eda-interface-information.html

 

I would like to know the cause of this failure . could you please share your thoughts?

 

Regards,

Nagapavani

 

 

 

0 Kudos
2 Replies
Nurina
Employee
926 Views

Hi,


You need to place the file containing your macro definitions in your project directory.


Regards,

Nurina


0 Kudos
Nurina
Employee
908 Views

Hello,


We do not receive any response from you on the previous question/reply/answer provided. Please login to https://supporttickets.intel.com , view details of the desire request, and post a feed/response within the next 15 days to allow me to continue to support you. After 15 days, this thread will be transitioned to community support. The community users will be able to help you on your follow-up questions.


p/s: If any answer from community or Intel support are helpful, please feel free to mark as solution, give Kudos and rate 4/5 survey


Regards,

Nurina


0 Kudos
Reply